Loading...
Searching...
No Matches
bitset_legacy.h File Reference
`#include "../platform.h"`
`#include "../algorithm.h"`
`#include "../binary.h"`
`#include "../char_traits.h"`
`#include "../error_handler.h"`
`#include "../exception.h"`
`#include "../integral_limits.h"`
`#include "../iterator.h"`
`#include "../log.h"`
`#include "../nullptr.h"`
`#include "../span.h"`
`#include "../static_assert.h"`
`#include "../string.h"`
`#include <stddef.h>`
`#include <stdint.h>`
`#include "minmax_push.h"`
`#include "minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::bitset_exception
class | etl::bitset_nullptr
class | etl::bitset_type_too_small
class | etl::bitset_overflow
class | etl::ibitset
class | etl::ibitset::bit_reference
| The reference type returned. More...
class | etl::bitset< MaxN >
| Bitset forward declaration. More...

## Namespaces

namespace | etl

## Macros

#define | ETL_STR(x)
#define | ETL_STRL(x)
#define | ETL_STRu(x)
#define | ETL_STRU(x)
#define | ETL_BITSET_ELEMENT_TYPE uint_least8_t

## Functions

template<size_t MaxN>
bitset< MaxN > | etl::operator& (const bitset< MaxN > &lhs, const bitset< MaxN > &rhs)
template<size_t MaxN>
bitset< MaxN > | etl::operator| (const bitset< MaxN > &lhs, const bitset< MaxN > &rhs)
template<size_t MaxN>
bitset< MaxN > | etl::operator^ (const bitset< MaxN > &lhs, const bitset< MaxN > &rhs)
template<size_t MaxN>
bool | etl::operator!= (const bitset< MaxN > &lhs, const bitset< MaxN > &rhs)
template<size_t MaxN>
void | etl::swap (etl::bitset< MaxN > &lhs, etl::bitset< MaxN > &rhs)
| swap

## Variables

template<size_t MaxN>
ETL_CONSTANT size_t | etl::bitset< MaxN >::ALLOCATED_BITS
template<size_t MaxN>
ETL_CONSTANT size_t | etl::bitset< MaxN >::Allocated_Bits

## Macro Definition Documentation

## ETL_STR

#define ETL_STR | ( |  | x | ) |

Value:
x

## ETL_STRL

#define ETL_STRL | ( |  | x | ) |

Value:
x

## ETL_STRU

#define ETL_STRU | ( |  | x | ) |

Value:
x

## ETL_STRu

#define ETL_STRu | ( |  | x | ) |

Value:
x